"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const render_1 = require("./render");
function _r() {
    return render_1.render(this, this.instance);
}
exports.h = function (instance, $, props, children) {
    if (Array.isArray(props)) {
        return {
            $,
            props: null,
            children: props,
            instance,
            render: _r
        };
    }
    else if (Array.isArray(children)) {
        return {
            $,
            props,
            children,
            instance,
            render: _r
        };
    }
    else {
        return {
            $,
            props,
            children: null,
            instance,
            render: _r
        };
    }
};
